# This is the CRAN/Bioconductor name
%define packname lmtest
# Note that some R packages do not use packrel
%define packrel 24

Name:             R-%{packname}
Version:          0.9
Release:          6%{?dist}
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}-%{packrel}.tar.gz
License:          GPLv2
URL:              http://cran.r-project.org/web/packages/lmtest/index.html
Group:            Applications/Engineering
Summary:          Testing Linear Regression Models for R
BuildRequires:    R-devel, tex(latex), R-zoo
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         R-zoo
Requires(post):   R
Requires(postun): R

%description
A collection of tests, data sets and examples for diagnostic checking in
linear regression models in R.


%prep
%setup -q -c -n %{packname}


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css


%check
# Use --no-install until R-strucchange, R-sandwich, R-dynlm, and R-survival
# are available
%{_bindir}/R CMD check --no-install %{packname}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}


%files
%defattr(-, root, root, -)
%doc lmtest/COPYRIGHTS lmtest/THANKS
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/latex
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/COPYING
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs


%changelog
* Mon Aug 10 2009 Orion Poplawski <orion@cora.nwra.com> 0.9-6
- Update to 0.9-24

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Orion Poplawski <orion@cora.nwra.com> 0.9-3
- Update to 0.9-23
- Change BR to tex(latex)
- Drop encoding conversion - encoding is specified in the .tex files
- Different doc files

* Mon Jun 23 2008 Orion Poplawski <orion@cora.nwra.com> 0.9-2
- Fix License, add README and COPYRIGHTS to doc
- Fixup non utf8 files

* Wed May 7 2008 Orion Poplawski <orion@cora.nwra.com> 0.9-1
- Initial package creation
